Create Image Collection
POST
https://picnie.com/api/v1/create-image-collectionGenerate a multi-image collection by customizing a template JSON object. Change image/text values to generate images at any scale.
Headers
| Name | Type | Description |
|---|---|---|
Authorization* | string | Pass api key in the authorization field Example: |
Body Parameters
| Name | Type | Description |
|---|---|---|
template_group_id* | integer | The ID of the template group. Example: |
project_id* | integer | The ID of the project. Create one using Picnie's dashboard if needed. Example: |
output_image_quality | string | Quality of output image. Values: Maximum, High, Medium, Low. Default: Medium. Example: |
output_image_format | string | Format of output image. Values: jpg, png, gif, webp. Default: jpg. Example: |
details* | array | JSON array of objects specifying image and text elements. Example: |
Notes
⚠️ Authentication required
curl -X POST "https://picnie.com/api/v1/create-image-collection"
-H "Authorization: YOUR_API_KEY"
-H "Content-Type: application/json"
-d '{
"template_group_id": 3,
"project_id": 1,
"output_image_quality": "High",
"output_image_format": "png",
"details": [
{
"name": "logo_image",
"image_url": "https://picnie.com/data/raw_images/logo_brand_pic.png"
},
{
"name": "title",
"text": "SUPER SALE"
},
{
"name": "second_title",
"text": "50% OFF"
},
{
"name": "third_title",
"text": "Get special prize for limited time"
},
{
"name": "button_text",
"text": "SHOP NOW"
}
]
}'Responses
200200 OK
{
"error": false,
"message": "Success",
"urls": [
"https://picnie.s3.ap-south-1.amazonaws.com/user_3/project_1/new_5168_230921113521.png",
"https://picnie.s3.ap-south-1.amazonaws.com/user_3/project_1/new_3273_230921113521.png",
"https://picnie.s3.ap-south-1.amazonaws.com/user_3/project_1/new_1879_230921113521.png"
]
}